Get all job planning
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
job_planning| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| jobs_id |
Foreign key to jobs id. |
globally unique identifier | |
| user_id |
Foreign key to user id. |
globally unique identifier | |
| date_from |
Job planning date from |
date | |
| date_to |
Job planning date to |
date | |
| sys_logical_delete |
Logical Delete. If true, means that row has been flagged deleted and will be physically deleted in the next months |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "ed355d3f-659b-4c28-807f-206ec81a96d9",
"jobs_id": "f8146ff5-df5d-41ce-b7cf-21ab794c39ad",
"user_id": "e6ac79f7-f679-498b-a0a7-cc02ad24c6c1",
"date_from": "2026-04-23T23:53:38.7144961+00:00",
"date_to": "2026-04-23T23:53:38.7144961+00:00",
"sys_logical_delete": true,
"modified_dateutc": "2026-04-23T23:53:38.7144961+00:00"
}